Yum install php-pecl-memcached – No package found (Have epel-release-6-8.noarch.rpm)

Jeff asked:

I believed I’ve downloaded and updated the EPEL rpm but I can’t install php-pecl-memcached..
I’m very new to this, any help is appreciated.

#rpm -Uvh epel-release-6-8.noarch.rpm warning: epel-release-6-8.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID
0608b895: NOKEY Preparing...               
########################################### [100%]
        package epel-release-6-8.noarch is already installed

# yum update Loaded plugins: fastestmirror, security Loading mirror speeds from cached hostfile  * base: mirror.us.leaseweb.net  * epel:
mirror.symnds.com  * extras: mirror.ash.fastserv.com  * updates:
mirror.vcu.edu Setting up Update Process No Packages marked for Update


#yum install php-pecl-memcached Loaded plugins: fastestmirror, security Loading mirror speeds from cached hostfile  * base:
mirror.us.leaseweb.net  * epel: mirror.symnds.com  * extras:
mirror.ash.fastserv.com  * updates: mirror.vcu.edu Setting up Install
Process No package php-pecl-memcached available. Error: Nothing to do

My answer:


You have almost certainly mistakenly excluded some packages with yum’s exclude option in your yum.conf or a file which it includes. For instance you may have:

exclude=php*

This would prevent any package whose name begins with PHP from ever being shown to you.

To fix the problem, remove the exclusion from your yum configuration.

(This was probably done as a misguided attempt to version-lock the PHP packages. Use the yum versionlock plugin to accomplish this instead.)


View the full question and answer on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.